let timeCode code =
  let stopWatch = System.Diagnostics.Stopwatch.StartNew()
  let result = code()
  stopWatch.Stop()
  (stopWatch.Elapsed.TotalMilliseconds, result)
        
let isPrime number =
  number > 1 && 
    [2..number - 1]
      |> Seq.filter  (fun i -> number % i = 0)
      |> Seq.isEmpty

let MAX = 10000
let count() = [1..MAX]
                |> Seq.filter isPrime
                |> Seq.length

let countFast() = [|1..MAX|]
                |> Array.Parallel.choose (fun e -> if (isPrime e)  then Some e else None)
                |> Seq.length

printfn "%A" (timeCode count)

printfn "%A" (timeCode countFast)

